package query

import (
	"github.com/odysseus/service-registry/common"
	"github.com/redis/go-redis/v9"
)

type GatewayInfo struct {
	// gateway specific info
}

type gatewayQuery struct {
	baseService
}

func getGatewayQuery(rdb *redis.Client) ServiceQuery {
	return gatewayQuery{
		baseService{
			rdb:     rdb,
			service: common.SERVICE_API_GATEWAY,
		},
	}
}
