package query

import (
	"github.com/odysseus/service-registry/common"
	"github.com/redis/go-redis/v9"
)

type NodeManagerInfo struct {
	// node manager specific info
	Pubkey   string `redis:"pubkey"`
	Endpoint string `redis:"endpoint"`
	Addr     string `redis:"addr"`
}

type nodeManagerQuery struct {
	baseService
}

func getNodeManagerQuery(rdb *redis.Client) ServiceQuery {
	return nodeManagerQuery{
		baseService{
			rdb:     rdb,
			service: common.SERVICE_NODE_MANAGER,
		},
	}
}
